CVC4::expr::ExprDag::Scope Class Reference

Set the dag state on the output stream for the current stack scope. More...

`#include <expr.h>`

## Public Member Functions

| Scope (std::ostream &out, size_t dag)
| ~Scope ()

## Detailed Description

Set the dag state on the output stream for the current stack scope.

This makes sure the old state is reset on the stream after normal OR exceptional exit from the scope, using the RAII C++ idiom.

Definition at line 891 of file expr.h.

## Constructor & Destructor Documentation

## Scope()

CVC4::expr::ExprDag::Scope::Scope | ( | std::ostream & | out,
|  | size_t | dag )

inline

Definition at line 897 of file expr.h.

## ~Scope()

CVC4::expr::ExprDag::Scope::~Scope | ( |  | ) |

inline

Definition at line 903 of file expr.h.

The documentation for this class was generated from the following file:

- builds/powerpc-apple-darwin10.0.0d2/production/src/expr/expr.h